Subject: git commit -C vs. prepare-commit-msg hook

From: SZEDER Gábor <[email-masked]>
Date: Tue, 2 Nov 2010 15:50:59 +0100

Hi,

Just noticed (read: got bitten by ;) that 'git commit' runs the
prepare-commit-msg hook even if it was invoked with the -C option.
This seems contradictory to me, because 'git commit -C' is to reuse an
already existing log message (and author info) as is, whereas
prepare-commit-msg is there to automatically edit the commit message.

Is this desired and I'm missing something, or is this a bug?  (or just
accidental, but we can't do anything about it anyway because of
backward compatibility?)

Thanks.

Best,
Gábor